6.0.0-git
2019-03-20

[#12663] Logout after attaching
Summary Logout after attaching
Queue IMP
Queue Version 6.1.4
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester asa (at) isac (dot) gov (dot) in
Created 2013-09-10 (2017 days ago)
Due
Updated 2013-12-17 (1919 days ago)
Assigned
Resolved 2013-09-11 (2016 days ago)
Milestone
Patch No

History
2013-12-17 11:36:51 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit 6d28a3d5b4027d0793065744f5e3fd0b4906f861
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Sep 11 13:40:17 2013 -0600

     [mms] Correctly enforce file size attachment limits on the first 
attachment (Bug #12663).

  imp/docs/CHANGES    |    2 ++
  imp/lib/Compose.php |    7 ++++---
  imp/package.xml     |    2 ++
  3 files changed, 8 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/6d28a3d5b4027d0793065744f5e3fd0b4906f861
2013-09-11 19:51:00 Michael Slusarz Comment #3
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
When I am trying to attach a file, 26 MB, it is able to attach (which
should not have happened) as the compose attach size limit is 10 MB only.
Fixed in 6.1.5.
post_max_size = 30M
upload_max_filesize = 30M
2nd one is, when I try to attach a file greater than 30 MB (php.ini
setting), the session gets logged out and I get login screen in console
window.
And that is exactly what is expected with your PHP configuration.  If 
you want an error to be thrown if upload_max_filesize is exceeded, you 
need to increase post_max_size.
2013-09-11 19:48:21 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit cf5e872ca149083b1bf313c4d964588d1e3ab81d
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Sep 11 13:40:17 2013 -0600

     [mms] Correctly enforce file size attachment limits on the first 
attachment (Bug #12663).

  imp/docs/CHANGES    |    2 ++
  imp/lib/Compose.php |    7 ++++---
  imp/package.xml     |    2 ++
  3 files changed, 8 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/cf5e872ca149083b1bf313c4d964588d1e3ab81d
2013-09-10 05:52:13 asa (at) isac (dot) gov (dot) in Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Logout after attaching
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
I have the following settings for the attachments.

$conf['compose']['link_attachments'] = false;
$conf['compose']['attach_size_limit'] = 10485760;
$conf['compose']['attach_count_limit'] = 0;

ie. attach_size_limit is 10 MB.

and in php.ini, I have the following settings.

post_max_size = 30M
upload_max_filesize = 30M

When I am trying to attach a file, 26 MB, it is able to attach (which
should not have happened) as the compose attach size limit is 10 MB only.
This is 1st issue.

2nd one is, when I try to attach a file greater than 30 MB (php.ini
setting), the session gets logged out and I get login screen in console
window.

Saved Queries